POST api/sitecustomerapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
SiteCustomerViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required |
|
| id | globally unique identifier |
None. |
|
| name | string |
Required String length: inclusive between 0 and 100 |
|
| remark | string |
None. |
|
| site_id | globally unique identifier |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"id": "c044b32b-855f-4e1c-9381-b1171c562402",
"name": "sample string 4",
"remark": "sample string 5",
"site_id": "defcdce3-a3fb-4311-9b4c-a84137b393e3"
}
application/xml, text/xml
Sample:
<sitecustomer xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <id>c044b32b-855f-4e1c-9381-b1171c562402</id> <name>sample string 4</name> <remark>sample string 5</remark> <site_id>defcdce3-a3fb-4311-9b4c-a84137b393e3</site_id> </sitecustomer>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"a51a7340-5f4e-4581-9230-14460d66d53b"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">a51a7340-5f4e-4581-9230-14460d66d53b</guid>